#ifndef FRIENDLIST_HPP_INCLUDED
#define FRIENDLIST_HPP_INCLUDED

#include "NameableContainer.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class FriendList : public NameableContainer
    {
        public:
            FriendList(const void* Obj);

            FriendList() = default;
            FriendList(FriendList&& Obj) = default;
            FriendList(const FriendList& Obj) = default;
            FriendList& operator=(FriendList&& Obj) = default;
            FriendList& operator=(const FriendList& Obj) = default;

            static Class GetClass();

    };
}

#endif // FRIENDLIST_HPP_INCLUDED
